#include <stdio.h>

int esPar(int n); //Se declara la función para comprobar si un número es par o no

int main()
{
    int n, par_menor, impar_mayor,par_ingresado, impar_ingresado;

    par_ingresado=0;   //Variable utilizada para comprobar si se ingresó un número para
    impar_ingresado=0; //Lo mismo pero para número impar.


    printf("Ingrese n%cmeros: ", 163);
    scanf("%d", &n);
    if(n==0)
    {
        printf("No se ingresaron n%cmeros pares o impares\n", 163);
        return 0;
    }

    while(1){

            printf("Ingrese n%cmeros: ",163);
            scanf("%d", &n);

            if(n==0)  //Cuando se ingresa un 0 se rompe el ciclo.
                break;
            if(esPar(n)==0)
            {
                if(par_ingresado==0)
                {
                    par_menor=n;
                    par_ingresado=1;
                }
                else if(n<par_menor)
                        par_menor=n;
            }
            else{
                if(impar_ingresado==0)
                 {
                    impar_mayor=n;
                    impar_ingresado=1;

                 }
                else if(n>impar_mayor)
                        impar_mayor=n;
            }

    }
    if(par_ingresado!=0)
        printf("El menor par ingresado es: %d\n", par_menor);
    if(impar_ingresado!=0)
        printf("El mayor impar ingresado es %d\n", impar_mayor);

}

int esPar(int n)
{
    if(n%2==0)    //Si el resto de la division es 0, el numero es par
        return 0; //si la funcion retorna 0 el numero es par
    else
        return 1; //En caso contrario es impar
}
